package com.ruoyi.project.production.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 员工PPE检查记录对象 t_ppe_main
 *
 * @author ssy
 * @date 2023-11-30
 */
public class TPpeMain extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 关联员工编号 */
    @Excel(name = "关联员工编号")
    private String staffId;

    /** 检查日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "检查日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkDate;

    private String checkDateStr;

    /** 检查人 */
    @Excel(name = "检查人")
    private String checker;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    private List<TPpeStaffLocker> staffLockers;
    private String staffRemark;

    private List<TPpeCmldefLocker> cmldefLockers;
    private String cmldefRemark;

    private List<TPpeWardrobe> wardrobes;
    private String wardrobeRemark;

    private String deptName;

    public String getCheckDateStr() {
        return checkDateStr;
    }

    public void setCheckDateStr(String checkDateStr) {
        this.checkDateStr = checkDateStr;
    }

    public String getStaffRemark() {
        return staffRemark;
    }

    public void setStaffRemark(String staffRemark) {
        this.staffRemark = staffRemark;
    }

    public String getCmldefRemark() {
        return cmldefRemark;
    }

    public void setCmldefRemark(String cmldefRemark) {
        this.cmldefRemark = cmldefRemark;
    }

    public String getWardrobeRemark() {
        return wardrobeRemark;
    }

    public void setWardrobeRemark(String wardrobeRemark) {
        this.wardrobeRemark = wardrobeRemark;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public List<TPpeStaffLocker> getStaffLockers() {
        return staffLockers;
    }

    public void setStaffLockers(List<TPpeStaffLocker> staffLockers) {
        this.staffLockers = staffLockers;
    }

    public List<TPpeCmldefLocker> getCmldefLockers() {
        return cmldefLockers;
    }

    public void setCmldefLockers(List<TPpeCmldefLocker> cmldefLockers) {
        this.cmldefLockers = cmldefLockers;
    }

    public List<TPpeWardrobe> getWardrobes() {
        return wardrobes;
    }

    public void setWardrobes(List<TPpeWardrobe> wardrobes) {
        this.wardrobes = wardrobes;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setStaffId(String staffId)
    {
        this.staffId = staffId;
    }

    public String getStaffId()
    {
        return staffId;
    }
    public void setCheckDate(Date checkDate)
    {
        this.checkDate = checkDate;
    }

    public Date getCheckDate()
    {
        return checkDate;
    }
    public void setChecker(String checker)
    {
        this.checker = checker;
    }

    public String getChecker()
    {
        return checker;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("staffId", getStaffId())
            .append("checkDate", getCheckDate())
            .append("checker", getChecker())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .toString();
    }
}
